<?php

/**
 * @file
 * Alterations for this form.
 */

/**
 * Implements hook_form_FORM_ID_alter().
 */
function uswds_form_search_block_form_alter(&$form) {

  $form['#attributes']['class'][] = 'usa-search';
  $form['#attributes']['class'][] = 'usa-search-small';

  // No need to control the size.
  unset($form['search_block_form']['#size']);

  // Add the role of search.
  $form['search_block_form']['#prefix'] = '<div role="search">';
  $form['actions']['#suffix'] = '</div>';

  // Add javascript classes if this is the extended header.
  if ('extended' == theme_get_setting('uswds_header_style')) {
    $form['#attributes']['class'][] = 'js-search-form';
    $form['#attributes']['class'][] = 'usa-sr-only';
  }

  // Convert the input submit into a button.
  // Use the value from the form so other implementations could alter it.
  $title = (!empty($form['actions']['submit']['#value'])) ? $form['actions']['submit']['#value'] : t('Search');
  $button_attributes = array(
    'type' => 'submit',
    'value' => $title,
    'class' => array('form-submit'),
    'name' => 'op',
    'form' => 'search-block-form',
    // For tooltip on hover.
    'title' => $title,
  );
  // Set the button to show after the form input submit.
  $form['actions']['submit']['#suffix'] = "<button " . drupal_attributes($button_attributes) . "> <span class=\"usa-sr-only\">{$title}</span></button>";
  // Hide the input submit. (It can't be fully removed or the form fails.)
  $form['actions']['submit']['#attributes']['hidden'] = NULL;
  // Hide it with a class for older browsers not supportying hidden property.
  $form['actions']['submit']['#attributes']['class'][] = 'element-invisible';

}
